## UDisksManagerVDO UDisksManagerVDO — Generated C code for the org.freedesktop.UDisks2.Manager.VDO D-Bus interface |

## Signals

gboolean | handle-activate-volume-by-name | Run Last
gboolean | handle-create-volume | Run Last
gboolean | handle-start-volume-by-name | Run Last

## Types and Values

| UDisksManagerVDO
struct | UDisksManagerVDOProxy
struct | UDisksManagerVDOProxyClass
struct | UDisksManagerVDOSkeleton
struct | UDisksManagerVDOSkeletonClass

## Object Hierarchy

        GInterface
        ╰── UDisksManagerVDO
        GObject
        ├── GDBusInterfaceSkeleton
        │   ╰── UDisksManagerVDOSkeleton
        ╰── GDBusProxy
            ╰── UDisksManagerVDOProxy

## Prerequisites

UDisksManagerVDO requires GObject.

## Implemented Interfaces

UDisksManagerVDOProxy implements GDBusInterface, GInitable, GAsyncInitable and UDisksManagerVDO.

UDisksManagerVDOSkeleton implements GDBusInterface and UDisksManagerVDO.

## Known Implementations

UDisksManagerVDO is implemented by UDisksManagerVDOProxy and UDisksManagerVDOSkeleton.

## Description

This section contains code for working with the org.freedesktop.UDisks2.Manager.VDO D-Bus interface in C.

## Functions

## Types and Values

### UDisksManagerVDO

    typedef struct _UDisksManagerVDO UDisksManagerVDO;

`UDisksManagerVDO` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

Abstract interface type for the D-Bus interface org.freedesktop.UDisks2.Manager.VDO.

Since: 2.8.0

### struct UDisksManagerVDOProxy

    struct UDisksManagerVDOProxy;

`UDisksManagerVDOProxy` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

The UDisksManagerVDOProxy structure contains only private data and should only be accessed using the provided API.

Since: 2.8.0

### struct UDisksManagerVDOProxyClass

    struct UDisksManagerVDOProxyClass {
      GDBusProxyClass parent_class;
    };

`UDisksManagerVDOProxyClass` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

Class structure for UDisksManagerVDOProxy.

#### Members

Since: 2.8.0

### struct UDisksManagerVDOSkeleton

    struct UDisksManagerVDOSkeleton;

`UDisksManagerVDOSkeleton` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

The UDisksManagerVDOSkeleton structure contains only private data and should only be accessed using the provided API.

Since: 2.8.0

### struct UDisksManagerVDOSkeletonClass

    struct UDisksManagerVDOSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

`UDisksManagerVDOSkeletonClass` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

Class structure for UDisksManagerVDOSkeleton.

#### Members

Since: 2.8.0

## Signal Details

### The `“handle-activate-volume-by-name”` signal

    gboolean
    user_function (UDisksManagerVDO      *object,
                   GDBusMethodInvocation *invocation,
                   gchar                 *arg_name,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `ActivateVolumeByName()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_manager_vdo_complete_activate_volume_by_name()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

`UDisksManagerVDO::handle-activate-volume-by-name` is deprecated and should not be used in newly-written code.

The D-Bus method has been deprecated.

#### Parameters

object | A UDisksManagerVDO. |
invocation | A GDBusMethodInvocation. |
arg_name | Argument passed by remote caller. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.8.0

### The `“handle-create-volume”` signal

    gboolean
    user_function (UDisksManagerVDO      *object,
                   GDBusMethodInvocation *invocation,
                   gchar                 *arg_name,
                   gchar                 *arg_device,
                   guint64                arg_logical_size,
                   guint64                arg_index_memory,
                   gboolean               arg_compression,
                   gboolean               arg_deduplication,
                   gchar                 *arg_write_policy,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `CreateVolume()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_manager_vdo_complete_create_volume()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

`UDisksManagerVDO::handle-create-volume` is deprecated and should not be used in newly-written code.

The D-Bus method has been deprecated.

#### Parameters

object | A UDisksManagerVDO. |
invocation | A GDBusMethodInvocation. |
arg_name | Argument passed by remote caller. |
arg_device | Argument passed by remote caller. |
arg_logical_size | Argument passed by remote caller. |
arg_index_memory | Argument passed by remote caller. |
arg_compression | Argument passed by remote caller. |
arg_deduplication | Argument passed by remote caller. |
arg_write_policy | Argument passed by remote caller. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.8.0

### The `“handle-start-volume-by-name”` signal

    gboolean
    user_function (UDisksManagerVDO      *object,
                   GDBusMethodInvocation *invocation,
                   gchar                 *arg_name,
                   gboolean               arg_force_rebuild,
                   GVariant              *arg_options,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `StartVolumeByName()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `udisks_manager_vdo_complete_start_volume_by_name()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no order signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

`UDisksManagerVDO::handle-start-volume-by-name` is deprecated and should not be used in newly-written code.

The D-Bus method has been deprecated.

#### Parameters

object | A UDisksManagerVDO. |
invocation | A GDBusMethodInvocation. |
arg_name | Argument passed by remote caller. |
arg_force_rebuild | Argument passed by remote caller. |
arg_options | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the invocation was handled, `FALSE` to let other signal handlers run.

Flags: Run Last

Since: 2.8.0